package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PasienMeninggalVO extends BaseTransactionVO{
	
	@Column(name = "tanggalMeninggal", nullable = false )
	@NotNull(message="Tanggal Meninggal Harus Diisi")
	@Caption(value="Tanggal Meninggal")
	private Date tanggalMeninggal;
	
	@ManyToOne
	@NotNull(message="No Registrasi Harus Diisi")
	@Caption(value="No Registrasi")
	private PasienDaftarVO pasienDaftar;
	

	public Date getTanggalMeninggal() {
		return tanggalMeninggal;
	}

	public void setTanggalMeninggal(Date tanggalMeninggal) {
		this.tanggalMeninggal = tanggalMeninggal;
	}

	public PasienDaftarVO getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(PasienDaftarVO pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}

	
	
}
